From 4d033858697260a666ea36fdcb460a260ec7032a Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:11:38 +0200
Subject: [PATCH 01/11] gstreamer1: update to 1.14.5.

---
 srcpkgs/gstreamer1/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gstreamer1/template b/srcpkgs/gstreamer1/template
index 8b693b28c3a..4f419e38488 100644
--- a/srcpkgs/gstreamer1/template
+++ b/srcpkgs/gstreamer1/template
@@ -1,7 +1,7 @@
 # Template file for 'gstreamer1'
 pkgname=gstreamer1
-version=1.14.4
-revision=4
+version=1.14.5
+revision=1
 wrksrc="gstreamer-${version}"
 build_style=gnu-configure
 build_helper="gir"
@@ -15,7 +15,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/gstreamer/gstreamer-${version}.tar.xz"
-checksum=f94f6696c5f05a3b3a9183e39c5f5c0b779f75a04c0efa497e7920afa985ffc7
+checksum=e40888752883177e97b2d90cd68591f87ccd213dc0178ff721d80a4cdaad34b5
 
 # Package build options
 build_options="gir"

From 610d953845c73e34e03622db17206049aa2c1edd Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:11:49 +0200
Subject: [PATCH 02/11] gstreamer-vaapi: update to 1.14.5.

---
 srcpkgs/gstreamer-vaapi/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gstreamer-vaapi/template b/srcpkgs/gstreamer-vaapi/template
index ef5ff855118..d99bbab91c9 100644
--- a/srcpkgs/gstreamer-vaapi/template
+++ b/srcpkgs/gstreamer-vaapi/template
@@ -1,7 +1,7 @@
 # Template file for 'gstreamer-vaapi'
 pkgname=gstreamer-vaapi
-version=1.14.4
-revision=2
+version=1.14.5
+revision=1
 build_style=gnu-configure
 lib32disabled=yes
 configure_args="--disable-static"
@@ -13,4 +13,4 @@ license="LGPL-2.1-or-later"
 homepage="https://gstreamer.freedesktop.org"
 changelog="https://raw.githubusercontent.com/GStreamer/gstreamer-vaapi/master/ChangeLog"
 distfiles="${homepage}/src/gstreamer-vaapi/gstreamer-vaapi-${version}.tar.xz"
-checksum=ce18dbfe961c6a8d31270231686075586bf7a7df62b778c8e7f5ec148251d0a3
+checksum=ea7660efd508fe8986642cfbf58fab8af6601e96a12c2e3a8db989249de1ed27

From 71ef192d6f1faccb990ff1c7558414780d1dbc09 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:11:57 +0200
Subject: [PATCH 03/11] gst-plugins-bad1: update to 1.14.5.

---
 srcpkgs/gst-plugins-bad1/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gst-plugins-bad1/template b/srcpkgs/gst-plugins-bad1/template
index 30a1a066b54..7b361e44836 100644
--- a/srcpkgs/gst-plugins-bad1/template
+++ b/srcpkgs/gst-plugins-bad1/template
@@ -1,7 +1,7 @@
 # Template file for 'gst-plugins-bad1'
 pkgname=gst-plugins-bad1
-version=1.14.4
-revision=8
+version=1.14.5
+revision=1
 wrksrc="${pkgname/1/}-${version}"
 build_style=gnu-configure
 configure_args="--enable-experimental --disable-static"
@@ -21,7 +21,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/${pkgname/1/}/${pkgname/1/}-${version}.tar.xz"
-checksum=910b4e0e2e897e8b6d06767af1779d70057c309f67292f485ff988d087aa0de5
+checksum=44da47126349fde90aed6c5ed0915f3b43f1d8802cd827139eb15a1fff1c6ad2
 lib32disabled=yes
 
 if [ "${CROSS_BUILD}" ]; then

From 2c56c2cdb5c128b3728fd27bfeeac9bb2ee14679 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:12:00 +0200
Subject: [PATCH 04/11] gst-plugins-base1: update to 1.14.5.

---
 srcpkgs/gst-plugins-base1/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gst-plugins-base1/template b/srcpkgs/gst-plugins-base1/template
index b3e41a75792..f28fcc0b1a7 100644
--- a/srcpkgs/gst-plugins-base1/template
+++ b/srcpkgs/gst-plugins-base1/template
@@ -1,7 +1,7 @@
 # Template file for 'gst-plugins-base1'
 pkgname=gst-plugins-base1
-version=1.14.4
-revision=4
+version=1.14.5
+revision=1
 wrksrc="${pkgname/1/}-${version}"
 build_style=gnu-configure
 build_helper="gir"
@@ -20,7 +20,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.0-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/${pkgname/1/}/${pkgname/1/}-${version}.tar.xz"
-checksum=ca6139490e48863e7706d870ff4e8ac9f417b56f3b9e4b3ce490c13b09a77461
+checksum=7bfa9b329ea7f3c654fa1b2d43650bf2646598a5e3cb21f42c516b7e975d638e
 
 case "$XBPS_TARGET_MACHINE" in
 	i686*) CFLAGS="-O2 -msse2";;

From 7aff3ce4641dd31544769c91ac67600b97bc6e59 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:12:05 +0200
Subject: [PATCH 05/11] gst-plugins-good1: update to 1.14.5.

---
 .../patches/remove-unused-flags.patch         | 28 -------------------
 srcpkgs/gst-plugins-good1/template            |  6 ++--
 2 files changed, 3 insertions(+), 31 deletions(-)
 delete mode 100644 srcpkgs/gst-plugins-good1/patches/remove-unused-flags.patch

diff --git a/srcpkgs/gst-plugins-good1/patches/remove-unused-flags.patch b/srcpkgs/gst-plugins-good1/patches/remove-unused-flags.patch
deleted file mode 100644
index 65383bbaf1d..00000000000
--- a/srcpkgs/gst-plugins-good1/patches/remove-unused-flags.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-This was unused in libvpx and removed later:
-
-https://github.com/webmproject/libvpx/commit/763f8318de2cee41d748539cee5810fc0efcad68
-
-This reverts https://bugzilla.gnome.org/show_bug.cgi?id=641399 until upstream
-reverts it themselves.
-
---- ext/vpx/gstvpxdec.c
-+++ ext/vpx/gstvpxdec.c
-@@ -62,18 +62,6 @@ gst_vpx_dec_post_processing_flags_get_type (void)
-     {C_FLAGS (VP8_DEBLOCK), "Deblock", "deblock"},
-     {C_FLAGS (VP8_DEMACROBLOCK), "Demacroblock", "demacroblock"},
-     {C_FLAGS (VP8_ADDNOISE), "Add noise", "addnoise"},
--    {C_FLAGS (VP8_DEBUG_TXT_FRAME_INFO),
--          "Print frame information",
--        "visualize-frame-info"},
--    {C_FLAGS (VP8_DEBUG_TXT_MBLK_MODES),
--          "Show macroblock mode selection overlaid on image",
--        "visualize-macroblock-modes"},
--    {C_FLAGS (VP8_DEBUG_TXT_DC_DIFF),
--          "Show dc diff for each macro block overlaid on image",
--        "visualize-dc-diff"},
--    {C_FLAGS (VP8_DEBUG_TXT_RATE_INFO),
--          "Print video rate info",
--        "visualize-rate-info"},
-     {C_FLAGS (VP8_MFQE), "Multi-frame quality enhancement", "mfqe"},
-     {0, NULL, NULL}
-   };
diff --git a/srcpkgs/gst-plugins-good1/template b/srcpkgs/gst-plugins-good1/template
index 32bccc6cd1d..435febbcbeb 100644
--- a/srcpkgs/gst-plugins-good1/template
+++ b/srcpkgs/gst-plugins-good1/template
@@ -1,7 +1,7 @@
 # Template file for 'gst-plugins-good1'
 pkgname=gst-plugins-good1
-version=1.14.4
-revision=2
+version=1.14.5
+revision=1
 wrksrc="${pkgname/1/}-${version}"
 lib32disabled=yes
 build_style=gnu-configure
@@ -23,7 +23,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/${pkgname/1/}/${pkgname/1/}-${version}.tar.xz"
-checksum=5f8b553260cb0aac56890053d8511db1528d53cae10f0287cfce2cb2acc70979
+checksum=678221b3f0208b31b90df3ffa509857cc8bfc337f3f5073d195c5b365d616503
 
 build_options="gtk3"
 build_options_default="gtk3"

From f1d3558176e389523cd49ed5261d7e241021e871 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:12:08 +0200
Subject: [PATCH 06/11] gst-plugins-ugly1: update to 1.14.5.

---
 srcpkgs/gst-plugins-ugly1/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gst-plugins-ugly1/template b/srcpkgs/gst-plugins-ugly1/template
index e063af3695f..f6c4e316435 100644
--- a/srcpkgs/gst-plugins-ugly1/template
+++ b/srcpkgs/gst-plugins-ugly1/template
@@ -1,7 +1,7 @@
 # Template file for 'gst-plugins-ugly1'.
 pkgname=gst-plugins-ugly1
-version=1.14.4
-revision=3
+version=1.14.5
+revision=1
 lib32disabled=yes
 wrksrc="${pkgname/1/}-${version}"
 build_style=gnu-configure
@@ -17,4 +17,4 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/${pkgname/1/}/${pkgname/1/}-${version}.tar.xz"
-checksum=ac02d837f166c35ff6ce0738e281680d0b90052cfb1f0255dcf6aaca5f0f6d23
+checksum=3ed802727286f18a9331cfed6ee85d07744d87cf868baae976615441f4bee04b

From f46c989659fca014caa07372b21e1df3bb3f4742 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:12:18 +0200
Subject: [PATCH 07/11] gst-libav: update to 1.14.5.

---
 srcpkgs/gst-libav/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gst-libav/template b/srcpkgs/gst-libav/template
index e998e5ee446..2dc78fcf642 100644
--- a/srcpkgs/gst-libav/template
+++ b/srcpkgs/gst-libav/template
@@ -1,6 +1,6 @@
 # Template file for 'gst-libav'
 pkgname=gst-libav
-version=1.14.4
+version=1.14.5
 revision=1
 lib32disabled=yes
 wrksrc="${pkgname}-${version}"
@@ -15,7 +15,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/${pkgname}/${pkgname}-${version}.tar.xz"
-checksum=dfd78591901df7853eab7e56a86c34a1b03635da0d3d56b89aa577f1897865da
+checksum=df10beebe794d316e6bbf019f16a8c6753cc28614f4ae8ce887bfd27761271fc
 
 case "$XBPS_TARGET_MACHINE" in
 	*-musl) # Required by musl for M_SQRT1_2

From ada7d6999d38dfa78a750b2d19f384880985b09c Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:12:24 +0200
Subject: [PATCH 08/11] gst-omx: update to 1.14.5.

---
 srcpkgs/gst-omx/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gst-omx/template b/srcpkgs/gst-omx/template
index a2fc793c30e..8d1e29e0bf6 100644
--- a/srcpkgs/gst-omx/template
+++ b/srcpkgs/gst-omx/template
@@ -1,6 +1,6 @@
 # Template file for 'gst-omx'
 pkgname=gst-omx
-version=1.14.4
+version=1.14.5
 revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config python glib-devel"
@@ -10,7 +10,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1-only"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/${pkgname}/${pkgname}-${version}.tar.xz"
-checksum=969870e75c1f75c96f8783530e2c2932fc3afbfd976eb0c466f51dae268ea3d4
+checksum=7c8788dcc1f8a6c6abb5360f7d77e7b7a64f0e2c1bceded9ad7bb31650322ff4
 
 case "$XBPS_TARGET_MACHINE" in
 	i686*|x86_64*|aarch64*|ppc64*)

From 9128ab7d7a4b14b4258b174e14a920e3d338db68 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:12:31 +0200
Subject: [PATCH 09/11] gst1-editing-services: update to 1.14.5.

---
 srcpkgs/gst1-editing-services/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gst1-editing-services/template b/srcpkgs/gst1-editing-services/template
index bad5dffc243..2e7a0d6ae7d 100644
--- a/srcpkgs/gst1-editing-services/template
+++ b/srcpkgs/gst1-editing-services/template
@@ -1,6 +1,6 @@
 # Template file for 'gst1-editing-services'
 pkgname=gst1-editing-services
-version=1.14.4
+version=1.14.5
 revision=1
 wrksrc="${pkgname/gst1/gstreamer}-${version}"
 build_style=gnu-configure
@@ -11,7 +11,7 @@ maintainer="Toyam Cox <Vaelatern@gmail.com>"
 license="LGPL-2.0-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/${pkgname/gst1/gst}/${pkgname/gst1/gstreamer}-${version}.tar.xz"
-checksum=53d1d25b356009505ae0d22c218d6c6b1215399d9f6e3fe5d7b88e156531b35f
+checksum=eeb7795326281136b995d3edf5128c9aad08895d847e0ea90db9c04c99fc6a73
 
 gst1-editing-services-devel_package() {
 	short_desc+=" - development files"

From 85a6d12ed6f584277a0956a08eba22d42a591216 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:12:37 +0200
Subject: [PATCH 10/11] gst1-python: update to 1.14.5.

---
 srcpkgs/gst1-python/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gst1-python/template b/srcpkgs/gst1-python/template
index ddabf530db3..6710bedd303 100644
--- a/srcpkgs/gst1-python/template
+++ b/srcpkgs/gst1-python/template
@@ -1,6 +1,6 @@
 # Template file for 'gst1-python'.
 pkgname=gst1-python
-version=1.14.4
+version=1.14.5
 revision=1
 wrksrc="gst-python-${version}"
 build_style=gnu-configure
@@ -14,7 +14,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/gst-python/gst-python-${version}.tar.xz"
-checksum=d0fdb24f93b6d889f309d2f526b8ea9577e0084ff0a62b4623ef1aed52e85a1b
+checksum=18afc00a2d67e6c1bae172241ac2521b3c2cc74b8b0273433e71edc9572add5a
 
 pre_configure() {
 	if [ "$CROSS_BUILD" ]; then

From 11a82eaf65020a84243d4ba834d718a1d3194ad7 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 3 Jun 2019 15:12:39 +0200
Subject: [PATCH 11/11] gst1-python3: update to 1.14.5.

---
 srcpkgs/gst1-python3/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gst1-python3/template b/srcpkgs/gst1-python3/template
index bacf830fa48..70d30538a9b 100644
--- a/srcpkgs/gst1-python3/template
+++ b/srcpkgs/gst1-python3/template
@@ -1,20 +1,20 @@
 # Template file for 'gst1-python3'
 pkgname=gst1-python3
-version=1.14.4
-revision=2
+version=1.14.5
+revision=1
 wrksrc="gst-python-${version}"
 build_style=gnu-configure
 configure_args="--disable-static"
 pycompile_module="gi/overrides"
 hostmakedepends="pkg-config python3"
-makedepends="libglib-devel python-gobject-devel gst-plugins-base1-devel"
+makedepends="libglib-devel python3-devel python-gobject-devel gst-plugins-base1-devel"
 depends="python3-gobject"
 short_desc="Python3 bindings for GStreamer 1.x"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/gst-python/gst-python-${version}.tar.xz"
-checksum=d0fdb24f93b6d889f309d2f526b8ea9577e0084ff0a62b4623ef1aed52e85a1b
+checksum=18afc00a2d67e6c1bae172241ac2521b3c2cc74b8b0273433e71edc9572add5a
 
 pre_configure() {
 	export PYTHON=/usr/bin/python3
